### Function

# EDataServer xmlhash_add

#### Declaration [src]

    void
    e_xmlhash_add (
      EXmlHash* hash,
      const gchar* key,
      const gchar* data
    )

#### Description [src]

Adds a new key/value pair to the `EXmlHash` `hash`.

#### Parameters

`hash`

  Type: `EXmlHash`

  The `EXmlHash` to add an entry to.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  The key to use for the entry.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `const gchar*`

  The value of the new entry.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.